← All operations
GET/api/v1/jobs

Jobs_ListJobs

Authentication
public
Cache policy
none
Success and errors
200, 400, 401, 403, 404, 409, 500, 503
Stability
v1 stable contract

OpenAPI operation

{
  "operationId": "Jobs_ListJobs",
  "summary": "GET /api/v1/jobs",
  "tags": [
    "Jobs"
  ],
  "parameters": [
    {
      "name": "q",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "maxLength": 200
      }
    },
    {
      "name": "kinds",
      "in": "query",
      "required": false,
      "style": "form",
      "explode": true,
      "schema": {
        "maxItems": 10,
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "EMPLOYMENT",
            "CONTRACT",
            "TASK",
            "GRANT",
            "BOUNTY",
            "COMPETITION",
            "OTHER"
          ]
        }
      }
    },
    {
      "name": "sources",
      "in": "query",
      "required": false,
      "style": "form",
      "explode": true,
      "schema": {
        "maxItems": 20,
        "type": "array",
        "items": {
          "type": "string",
          "minLength": 1,
          "maxLength": 100
        }
      }
    },
    {
      "name": "remote",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "enum": [
          "true",
          "false"
        ]
      }
    },
    {
      "name": "compensation",
      "in": "query",
      "required": false,
      "style": "form",
      "explode": true,
      "schema": {
        "maxItems": 10,
        "type": "array",
        "items": {
          "type": "string",
          "enum": [
            "FIXED",
            "RANGE",
            "HOURLY",
            "EQUITY",
            "TOKEN",
            "UNSPECIFIED"
          ]
        }
      }
    },
    {
      "name": "skills",
      "in": "query",
      "required": false,
      "style": "form",
      "explode": true,
      "schema": {
        "maxItems": 30,
        "type": "array",
        "items": {
          "type": "string",
          "minLength": 1,
          "maxLength": 100
        }
      }
    },
    {
      "name": "sort",
      "in": "query",
      "required": false,
      "schema": {
        "default": "NEWEST",
        "type": "string",
        "enum": [
          "NEWEST",
          "EXPIRING",
          "FEATURED"
        ]
      }
    },
    {
      "name": "cursor",
      "in": "query",
      "required": false,
      "schema": {
        "type": "string",
        "maxLength": 4096
      }
    },
    {
      "name": "limit",
      "in": "query",
      "required": false,
      "schema": {
        "default": 25,
        "type": "integer",
        "minimum": 1,
        "maximum": 100
      }
    }
  ],
  "security": [
    {},
    {
      "apiKeyAuth": []
    }
  ],
  "responses": {
    "200": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "data": {
                "maxItems": 100,
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "format": "uuid",
                      "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                    },
                    "slug": {
                      "type": "string",
                      "maxLength": 200
                    },
                    "title": {
                      "type": "string",
                      "maxLength": 500
                    },
                    "organizationName": {
                      "anyOf": [
                        {
                          "type": "string",
                          "maxLength": 300
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "description": {
                      "type": "string",
                      "maxLength": 2000
                    },
                    "instructions": {
                      "type": "null"
                    },
                    "kind": {
                      "type": "string",
                      "enum": [
                        "EMPLOYMENT",
                        "CONTRACT",
                        "TASK",
                        "GRANT",
                        "BOUNTY",
                        "COMPETITION",
                        "OTHER"
                      ]
                    },
                    "state": {
                      "type": "string",
                      "enum": [
                        "DRAFT",
                        "OPEN",
                        "CLOSED",
                        "EXPIRED",
                        "SUPPRESSED"
                      ]
                    },
                    "remoteMode": {
                      "anyOf": [
                        {
                          "type": "boolean"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "locationText": {
                      "anyOf": [
                        {
                          "type": "string",
                          "maxLength": 500
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "compensation": {
                      "type": "object",
                      "properties": {
                        "kind": {
                          "type": "string",
                          "enum": [
                            "FIXED",
                            "RANGE",
                            "HOURLY",
                            "EQUITY",
                            "TOKEN",
                            "UNSPECIFIED"
                          ]
                        },
                        "assetId": {
                          "anyOf": [
                            {
                              "type": "string",
                              "format": "uuid",
                              "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "minUnits": {
                          "anyOf": [
                            {
                              "type": "string",
                              "maxLength": 78,
                              "pattern": "^(?:0|[1-9][0-9]*)$"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "maxUnits": {
                          "anyOf": [
                            {
                              "type": "string",
                              "maxLength": 78,
                              "pattern": "^(?:0|[1-9][0-9]*)$"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        },
                        "period": {
                          "anyOf": [
                            {
                              "type": "string"
                            },
                            {
                              "type": "null"
                            }
                          ]
                        }
                      },
                      "required": [
                        "kind",
                        "assetId",
                        "minUnits",
                        "maxUnits",
                        "period"
                      ],
                      "additionalProperties": false
                    },
                    "applyUrl": {
                      "anyOf": [
                        {
                          "type": "string",
                          "maxLength": 2000
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "sourceUrl": {
                      "type": "string",
                      "maxLength": 2000
                    },
                    "source": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "string",
                          "maxLength": 100
                        },
                        "externalId": {
                          "type": "string",
                          "maxLength": 500
                        }
                      },
                      "required": [
                        "code",
                        "externalId"
                      ],
                      "additionalProperties": false
                    },
                    "skills": {
                      "maxItems": 100,
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "name": {
                            "type": "string",
                            "maxLength": 100
                          },
                          "required": {
                            "type": "boolean"
                          },
                          "weightPpm": {
                            "type": "integer",
                            "minimum": 0,
                            "maximum": 1000000
                          }
                        },
                        "required": [
                          "name",
                          "required",
                          "weightPpm"
                        ],
                        "additionalProperties": false
                      }
                    },
                    "curation": {
                      "anyOf": [
                        {
                          "type": "object",
                          "properties": {
                            "state": {
                              "type": "string"
                            },
                            "publicNote": {
                              "anyOf": [
                                {
                                  "type": "string",
                                  "maxLength": 2000
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "version": {
                              "type": "integer",
                              "exclusiveMinimum": 0,
                              "maximum": 9007199254740991
                            },
                            "startsAt": {
                              "anyOf": [
                                {
                                  "type": "string",
                                  "format": "date-time",
                                  "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            },
                            "endsAt": {
                              "anyOf": [
                                {
                                  "type": "string",
                                  "format": "date-time",
                                  "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
                                },
                                {
                                  "type": "null"
                                }
                              ]
                            }
                          },
                          "required": [
                            "state",
                            "publicNote",
                            "version",
                            "startsAt",
                            "endsAt"
                          ],
                          "additionalProperties": false
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "firstSeenAt": {
                      "type": "string",
                      "format": "date-time",
                      "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
                    },
                    "lastSeenAt": {
                      "type": "string",
                      "format": "date-time",
                      "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
                    },
                    "publishedAt": {
                      "anyOf": [
                        {
                          "type": "string",
                          "format": "date-time",
                          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "expiresAt": {
                      "anyOf": [
                        {
                          "type": "string",
                          "format": "date-time",
                          "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
                        },
                        {
                          "type": "null"
                        }
                      ]
                    },
                    "updatedAt": {
                      "type": "string",
                      "format": "date-time",
                      "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
                    },
                    "version": {
                      "type": "integer",
                      "minimum": -9007199254740991,
                      "maximum": 9007199254740991
                    }
                  },
                  "required": [
                    "id",
                    "slug",
                    "title",
                    "organizationName",
                    "description",
                    "instructions",
                    "kind",
                    "state",
                    "remoteMode",
                    "locationText",
                    "compensation",
                    "applyUrl",
                    "sourceUrl",
                    "source",
                    "skills",
                    "curation",
                    "firstSeenAt",
                    "lastSeenAt",
                    "publishedAt",
                    "expiresAt",
                    "updatedAt",
                    "version"
                  ],
                  "additionalProperties": false
                }
              },
              "page": {
                "type": "object",
                "properties": {
                  "nextCursor": {
                    "anyOf": [
                      {
                        "type": "string"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  }
                },
                "required": [
                  "nextCursor"
                ],
                "additionalProperties": false
              },
              "facets": {
                "type": "object",
                "properties": {
                  "total": {
                    "type": "string"
                  },
                  "remote": {
                    "type": "string"
                  },
                  "featured": {
                    "type": "string"
                  }
                },
                "required": [
                  "total",
                  "remote",
                  "featured"
                ],
                "additionalProperties": false
              },
              "freshness": {
                "type": "object",
                "properties": {
                  "lastSeenAt": {
                    "anyOf": [
                      {
                        "type": "string",
                        "format": "date-time",
                        "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
                      },
                      {
                        "type": "null"
                      }
                    ]
                  }
                },
                "required": [
                  "lastSeenAt"
                ],
                "additionalProperties": false
              },
              "meta": {
                "type": "object",
                "additionalProperties": true,
                "required": [
                  "requestId",
                  "schemaVersion",
                  "buildVersion",
                  "generatedAt",
                  "freshness"
                ],
                "properties": {
                  "requestId": {
                    "type": "string",
                    "format": "uuid"
                  },
                  "schemaVersion": {
                    "type": "string"
                  },
                  "buildVersion": {
                    "type": "string"
                  },
                  "generatedAt": {
                    "type": "string",
                    "format": "date-time"
                  },
                  "freshness": {
                    "type": "object",
                    "additionalProperties": false,
                    "required": [
                      "projectedAt",
                      "sourceWatermark"
                    ],
                    "properties": {
                      "projectedAt": {
                        "type": [
                          "string",
                          "null"
                        ],
                        "format": "date-time"
                      },
                      "sourceWatermark": {
                        "type": [
                          "string",
                          "null"
                        ]
                      }
                    }
                  }
                }
              }
            },
            "required": [
              "data",
              "page",
              "facets",
              "freshness",
              "meta"
            ],
            "additionalProperties": false
          }
        }
      }
    },
    "400": {
      "description": "invalid request",
      "content": {
        "application/problem+json": {
          "schema": {
            "$ref": "#/components/schemas/ApiError"
          }
        }
      }
    },
    "401": {
      "description": "unauthenticated",
      "content": {
        "application/problem+json": {
          "schema": {
            "$ref": "#/components/schemas/ApiError"
          }
        }
      }
    },
    "403": {
      "description": "forbidden",
      "content": {
        "application/problem+json": {
          "schema": {
            "$ref": "#/components/schemas/ApiError"
          }
        }
      }
    },
    "404": {
      "description": "not found",
      "content": {
        "application/problem+json": {
          "schema": {
            "$ref": "#/components/schemas/ApiError"
          }
        }
      }
    },
    "409": {
      "description": "conflict",
      "content": {
        "application/problem+json": {
          "schema": {
            "$ref": "#/components/schemas/ApiError"
          }
        }
      }
    },
    "500": {
      "description": "internal error",
      "content": {
        "application/problem+json": {
          "schema": {
            "$ref": "#/components/schemas/ApiError"
          }
        }
      }
    },
    "503": {
      "description": "dependency unavailable",
      "content": {
        "application/problem+json": {
          "schema": {
            "$ref": "#/components/schemas/ApiError"
          }
        }
      }
    }
  },
  "x-auth-mode": "public",
  "x-cache-policy": "none",
  "x-required-scopes": [
    "public:read"
  ],
  "x-rate-cost": 1,
  "x-stability": "STABLE"
}